QuickFIX: FIX::MessageStoreExceptionWrapper Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::MessageStoreExceptionWrapper Class Reference

`#include <MessageStore.h>`

Collaboration diagram for FIX::MessageStoreExceptionWrapper:
[legend]

List of all members.

## Public Member Functions
| MessageStoreExceptionWrapper (MessageStore *pStore)
| ~MessageStoreExceptionWrapper ()
bool | set (int, const std::string &, bool &, IOException &)
void | get (int, int, std::vector< std::string > &, bool &, IOException &) const
int | getNextSenderMsgSeqNum (bool &, IOException &) const
int | getNextTargetMsgSeqNum (bool &, IOException &) const
void | setNextSenderMsgSeqNum (int, bool &, IOException &)
void | setNextTargetMsgSeqNum (int, bool &, IOException &)
void | incrNextSenderMsgSeqNum (bool &, IOException &)
void | incrNextTargetMsgSeqNum (bool &, IOException &)
UtcTimeStamp | getCreationTime (bool &, IOException &)
void | reset (bool &, IOException &)
void | refresh (bool &, IOException &)
## Private Attributes
MessageStore * | m_pStore

## Detailed Description

Definition at line 150 of file MessageStore.h.

## Constructor & Destructor Documentation

FIX::MessageStoreExceptionWrapper::MessageStoreExceptionWrapper | ( | MessageStore * | pStore | ) | `[inline]`

Definition at line 155 of file MessageStore.h.

    00155 : m_pStore( pStore ) {}

FIX::MessageStoreExceptionWrapper::~MessageStoreExceptionWrapper | ( |  | ) | `[inline]`

Definition at line 156 of file MessageStore.h.

    00156 { delete m_pStore; }

## Member Function Documentation

void FIX::MessageStoreExceptionWrapper::get | ( | int | begin,
|  | int | end,
|  | std::vector< std::string > & | msgs,
|  | bool & | threw,
|  | IOException & | ex |
| ) |  |  | const

Definition at line 90 of file MessageStore.cpp.

References FIX::MessageStore::get(), m_pStore, QF_STACK_POP, and QF_STACK_PUSH.

    00091 { QF_STACK_PUSH(MessageStoreExceptionWrapper::get)
    00092
    00093   threw = false;
    00094   try { m_pStore->get( begin, end, msgs ); }
    00095   catch ( IOException & e ) { threw = true; ex = e; }
    00096
    00097   QF_STACK_POP
    00098 }

UtcTimeStamp FIX::MessageStoreExceptionWrapper::getCreationTime | ( | bool & | threw,
|  | IOException & | ex |
| ) |  |  |

Definition at line 160 of file MessageStore.cpp.

References FIX::MessageStore::getCreationTime(), m_pStore, QF_STACK_POP, QF_STACK_PUSH, and FIX::TYPE::UtcTimeStamp.

    00161 { QF_STACK_PUSH(MessageStoreExceptionWrapper::getCreationTime)
    00162
    00163   threw = false;
    00164   try { return m_pStore->getCreationTime(); }
    00165   catch ( IOException & e ) { threw = true; ex = e; return UtcTimeStamp(); }
    00166
    00167   QF_STACK_POP
    00168 }

int FIX::MessageStoreExceptionWrapper::getNextSenderMsgSeqNum | ( | bool & | threw,
|  | IOException & | ex |
| ) |  |  | const

Definition at line 100 of file MessageStore.cpp.

References FIX::MessageStore::getNextSenderMsgSeqNum(), m_pStore, QF_STACK_POP, and QF_STACK_PUSH.

    00101 { QF_STACK_PUSH(MessageStoreExceptionWrapper::getNextSenderMsgSeqNum)
    00102
    00103   threw = false;
    00104   try { return m_pStore->getNextSenderMsgSeqNum(); }
    00105   catch ( IOException & e ) { threw = true; ex = e; return 0; }
    00106
    00107   QF_STACK_POP
    00108 }

int FIX::MessageStoreExceptionWrapper::getNextTargetMsgSeqNum | ( | bool & | threw,
|  | IOException & | ex |
| ) |  |  | const

Definition at line 110 of file MessageStore.cpp.

References FIX::MessageStore::getNextTargetMsgSeqNum(), m_pStore, QF_STACK_POP, and QF_STACK_PUSH.

    00111 { QF_STACK_PUSH(MessageStoreExceptionWrapper::getNextTargetMsgSeqNum)
    00112
    00113   threw = false;
    00114   try { return m_pStore->getNextTargetMsgSeqNum(); }
    00115   catch ( IOException & e ) { threw = true; ex = e; return 0; }
    00116
    00117   QF_STACK_POP
    00118 }

void FIX::MessageStoreExceptionWrapper::incrNextSenderMsgSeqNum | ( | bool & | threw,
|  | IOException & | ex |
| ) |  |  |

Definition at line 140 of file MessageStore.cpp.

References FIX::MessageStore::incrNextSenderMsgSeqNum(), m_pStore, QF_STACK_POP, and QF_STACK_PUSH.

    00141 { QF_STACK_PUSH(MessageStoreExceptionWrapper::incrNextSenderMsgSeqNum)
    00142
    00143   threw = false;
    00144   try { m_pStore->incrNextSenderMsgSeqNum(); }
    00145   catch ( IOException & e ) { threw = true; ex = e; }
    00146
    00147   QF_STACK_POP
    00148 }

void FIX::MessageStoreExceptionWrapper::incrNextTargetMsgSeqNum | ( | bool & | threw,
|  | IOException & | ex |
| ) |  |  |

Definition at line 150 of file MessageStore.cpp.

References FIX::MessageStore::incrNextTargetMsgSeqNum(), m_pStore, QF_STACK_POP, and QF_STACK_PUSH.

    00151 { QF_STACK_PUSH(MessageStoreExceptionWrapper::incrNextTargetMsgSeqNum)
    00152
    00153   threw = false;
    00154   try { m_pStore->incrNextTargetMsgSeqNum(); }
    00155   catch ( IOException & e ) { threw = true; ex = e; }
    00156
    00157   QF_STACK_POP
    00158 }

void FIX::MessageStoreExceptionWrapper::refresh | ( | bool & | threw,
|  | IOException & | ex |
| ) |  |  |

Definition at line 180 of file MessageStore.cpp.

References m_pStore, QF_STACK_POP, QF_STACK_PUSH, FIX::MessageStore::refresh(), and reset().

    00181 { QF_STACK_PUSH(MessageStoreExceptionWrapper::reset)
    00182
    00183   threw = false;
    00184   try { m_pStore->refresh(); }
    00185   catch ( IOException & e ) { threw = true; ex = e; }
    00186
    00187   QF_STACK_POP
    00188 }

void FIX::MessageStoreExceptionWrapper::reset | ( | bool & | threw,
|  | IOException & | ex |
| ) |  |  |

Definition at line 170 of file MessageStore.cpp.

References m_pStore, QF_STACK_POP, QF_STACK_PUSH, and FIX::MessageStore::reset().

Referenced by refresh().

    00171 { QF_STACK_PUSH(MessageStoreExceptionWrapper::reset)
    00172
    00173   threw = false;
    00174   try { m_pStore->reset(); }
    00175   catch ( IOException & e ) { threw = true; ex = e; }
    00176
    00177   QF_STACK_POP
    00178 }

bool FIX::MessageStoreExceptionWrapper::set | ( | int | num,
|  | const std::string & | msg,
|  | bool & | threw,
|  | IOException & | ex |
| ) |  |  |

Definition at line 80 of file MessageStore.cpp.

References m_pStore, QF_STACK_POP, QF_STACK_PUSH, and FIX::MessageStore::set().

    00081 { QF_STACK_PUSH(MessageStoreExceptionWrapper::set)
    00082
    00083   threw = false;
    00084   try { return m_pStore->set( num, msg ); }
    00085   catch ( IOException & e ) { threw = true; ex = e; return false; }
    00086
    00087   QF_STACK_POP
    00088 }

void FIX::MessageStoreExceptionWrapper::setNextSenderMsgSeqNum | ( | int | num,
|  | bool & | threw,
|  | IOException & | ex |
| ) |  |  |

Definition at line 120 of file MessageStore.cpp.

References m_pStore, QF_STACK_POP, QF_STACK_PUSH, and FIX::MessageStore::setNextSenderMsgSeqNum().

    00121 { QF_STACK_PUSH(MessageStoreExceptionWrapper::setNextSenderMsgSeqNum)
    00122
    00123   threw = false;
    00124   try { m_pStore->setNextSenderMsgSeqNum( num ); }
    00125   catch ( IOException & e ) { threw = true; ex = e; }
    00126
    00127   QF_STACK_POP
    00128 }

void FIX::MessageStoreExceptionWrapper::setNextTargetMsgSeqNum | ( | int | num,
|  | bool & | threw,
|  | IOException & | ex |
| ) |  |  |

Definition at line 130 of file MessageStore.cpp.

References m_pStore, QF_STACK_POP, QF_STACK_PUSH, and FIX::MessageStore::setNextTargetMsgSeqNum().

    00131 { QF_STACK_PUSH(MessageStoreExceptionWrapper::setNextTargetMsgSeqNum)
    00132
    00133   threw = false;
    00134   try { m_pStore->setNextTargetMsgSeqNum( num ); }
    00135   catch ( IOException & e ) { threw = true; ex = e; }
    00136
    00137   QF_STACK_POP
    00138 }

## Member Data Documentation

MessageStore* FIX::MessageStoreExceptionWrapper::m_pStore`[private]`

Definition at line 153 of file MessageStore.h.

Referenced by get(), getCreationTime(), getNextSenderMsgSeqNum(), getNextTargetMsgSeqNum(), incrNextSenderMsgSeqNum(), incrNextTargetMsgSeqNum(), refresh(), reset(), set(), setNextSenderMsgSeqNum(), and setNextTargetMsgSeqNum().

The documentation for this class was generated from the following files:

- /home/omiller/Development/autobuild/quickfix/src/C++/MessageStore.h
- /home/omiller/Development/autobuild/quickfix/src/C++/MessageStore.cpp